VismaBouwsoftAPICalls.v1_POST_OrderVariables Method
v1_POST_OrderVariables() as String

This API call is used to add a(n) OrderVariable

General Description

HTTP method API version
POST v1

Don’t forget to put the Authorization field in the header

API Path: /OrderVariables
or

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
order_id 1 tpLong 0 Yes Yes No
order_nr 1 tpLong 0 No No No
name 2 tpString 5 Yes Yes No
description 2 tpString 0 No Yes No
value 4 tpDouble 0 No Yes No
source 1 tpLong 0 No No No
source_parent_id 1 tpLong 0 No No No

/OrderVariables

API Path: /OrderVariables/

If everything succeeds the HTTP response status is 201
(201 CREATED)

If you forget to send the Authorization, the response status and code is 401
(401 Unauthorized)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/OrderVariables

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: GrjfWxfAAtzSffkPGtzRqOIrflljIOVOjlDtzVPrPGOGmOmAjt
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: columns, ParameterValue: order_id=122,name=’GK‘,description=’gewicht per kubiek’,value=1250

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 44103,
    "order_id": 122,
    "order_nr": 20120050,
    "name": "GK",
    "description": "gewicht per kubiek",
    "value": 1250
  }
]
}